<?php
/**
 * Core Design Attachments plugin for Joomla! 1.5
 * @author		Daniel Rataj, <info@greatjoomla.com>
 * @package		Joomla
 * @subpackage	Content
 * @category	Plugin
 * @version		1.0.5
 * @copyright	Copyright (C) 2007 - 2010 Great Joomla!, http://www.greatjoomla.com
 * @license		http://www.gnu.org/copyleft/gpl.html GNU/GPL 3
 * 
 * This file is part of Great Joomla! extension.   
 * This extension is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This extension is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

// no direct access
defined('_JEXEC') or die('Restricted access');
?>
<div class="filemanager">
	<div class="removefile">
		<div><?php echo JText::_('CDATTACHMENTS_REMOVEFILE'); ?></div>
		<form action="" name="removefile" method="post">
			<select name="file" title="<?php echo JText::_('CDATTACHMENTS_SELECTFILE'); ?>" multiple size="10">
				<?php foreach($files as $file_item): ?>
					<option title="<?php echo $file_item; ?>" value="<?php echo $file_item; ?>"><?php echo $file_item; ?></option>
				<?php endforeach; ?>
			</select>
			<div style="margin-top: 5px; text-align: right;">
				<button title="<?php echo JText::_('CDATTACHMENTS_REMOVEFILE'); ?>" type="submit"><?php echo JText::_('CDATTACHMENTS_REMOVEFILE'); ?></button>
			</div>
			<?php echo JHTML::_( 'form.token' ); ?>
			<input type="hidden" name="attachments" value="removeFile">
		</form>
	</div>
	<div class="uploadfile">
		<div><?php echo JText::_('CDATTACHMENTS_CHOOSE'); ?></div>
		<form action="" enctype="multipart/form-data" name="uploadfile" method="post">
			<div><input type="file" name="file" /></div>
			<div><button class="file" title="<?php echo JText::_('CDATTACHMENTS_CHOOSE_AND_UPLOAD'); ?>" type="button"><?php echo JText::_('CDATTACHMENTS_CHOOSE_AND_UPLOAD'); ?></button></div>
			<?php echo JHTML::_( 'form.token' ); ?>
			<input type="hidden" name="attachments" value="uploadFile">
		</form>
	</div>
</div>