/* 
 * More info at: http://phpjs.org
 * 
 * This is version: 3.22
 * php.js is copyright 2011 Kevin van Zonneveld.
 * 
 * Portions copyright Brett Zamir (http://brett-zamir.me), Kevin van Zonneveld
 * (http://kevin.vanzonneveld.net), Onno Marsman, Theriault, Michael White
 * (http://getsprink.com), Waldo Malqui Silva, Paulo Freitas, Jonas Raoni
 * Soares Silva (http://www.jsfromhell.com), Jack, Philip Peterson, Ates Goral
 * (http://magnetiq.com), Legaev Andrey, Ratheous, Alex, Martijn Wieringa,
 * lmeyrick (https://sourceforge.net/projects/bcmath-js/), Nate, Enrique
 * Gonzalez, Philippe Baumann, Webtoolkit.info (http://www.webtoolkit.info/),
 * Rafał Kukawski (http://blog.kukawski.pl), Ash Searle
 * (http://hexmen.com/blog/), Ole Vrijenhoek, travc, Jani Hartikainen, Carlos
 * R. L. Rodrigues (http://www.jsfromhell.com), stag019, GeekFG
 * (http://geekfg.blogspot.com), WebDevHobo (http://webdevhobo.blogspot.com/),
 * Erkekjetter,
 * http://stackoverflow.com/questions/57803/how-to-convert-decimal-to-hex-in-javascript,
 * Rafał Kukawski (http://blog.kukawski.pl/), T.Wild, pilus, marrtins,
 * Michael Grier, Johnny Mast (http://www.phpvrouwen.nl), Andrea Giammarchi
 * (http://webreflection.blogspot.com), d3x, Karol Kowalski, Robin, AJ, Joris,
 * Steven Levithan (http://blog.stevenlevithan.com), Paul Smith, Arpad Ray
 * (mailto:arpad@php.net), Kevin van Zonneveld
 * (http://kevin.vanzonneveld.net/), gettimeofday, majak, Imgen Tata
 * (http://www.myipdf.com/), Felix Geisendoerfer
 * (http://www.debuggable.com/felix), Martin (http://www.erlenwiese.de/),
 * mdsjack (http://www.mdsjack.bo.it), Tim de Koning
 * (http://www.kingsquare.nl), KELAN, Mailfaker (http://www.weedem.fr/),
 * felix, Michael White, Dreamer, Public Domain
 * (http://www.json.org/json2.js), David, Nathan, Josh Fraser
 * (http://onlineaspect.com/2007/06/08/auto-detect-a-time-zone-with-javascript/),
 * Oleg Eremeev, Breaking Par Consulting Inc
 * (http://www.breakingpar.com/bkp/home.nsf/0/87256B280015193F87256CFB006C45F7),
 * Marc Palau, Mirek Slugen, Chris, Lars Fischer, Tyler Akins
 * (http://rumkin.com), Aman Gupta, Thunder.m, Pellentesque Malesuada,
 * saulius, Kankrelune (http://www.webfaktory.info/), Alfonso Jimenez
 * (http://www.alfonsojimenez.com), Caio Ariede (http://caioariede.com),
 * gorthaur, Diplom@t (http://difane.com/), Steve Hilder, Sakimori, Frank
 * Forte, djmix, Nick Kolosov (http://sammy.ru), marc andreu, nobbler, Fox,
 * Thiago Mata (http://thiagomata.blog.com), lmeyrick
 * (https://sourceforge.net/projects/bcmath-js/this.), Douglas Crockford
 * (http://javascript.crockford.com), mktime, Linuxworld, john
 * (http://www.jd-tech.net), ger, Lincoln Ramsay, jmweb, duncan, date, Adam
 * Wallner (http://web2.bitbaro.hu/), paulo kuong, Itsacon
 * (http://www.itsacon.net/), Billy, vlado houba, Jalal Berrami, Francois,
 * Scott Cariss, sankai, Denny Wardhana, Arno, Bayron Guevara, Mateusz
 * "loonquawl" Zalega, Slawomir Kaniecki, ReverseSyntax, Oskar Larsson
 * Högfeldt (http://oskar-lh.name/), Marco, madipta, echo is bad, 0m3r,
 * T0bsn, Der Simon (http://innerdom.sourceforge.net/), Eugene Bulkin
 * (http://doubleaw.com/), Subhasis Deb, JB, EdorFaus, XoraX
 * (http://www.xorax.info), Ozh, Thomas Beaucourt (http://www.webapp.fr),
 * David Randall, Bryan Elliott, JT, Brad Touesnard, nord_ua, Peter-Paul Koch
 * (http://www.quirksmode.org/js/beat.html), MeEtc (http://yass.meetcweb.com),
 * josh, LH, Stoyan Kyosev (http://www.svest.org/), Steve Clay, Pyerre,
 * Gilbert, Jon Hohle, David James, Tim Wiel, noname, class_exists, T. Wild,
 * Ole Vrijenhoek (http://www.nervous.nl/), Marc Jansen, Francesco, Soren
 * Hansen, merabi, J A R, Shingo, Raphael (Ao RUDLER), Sanjoy Roy, kenneth,
 * FremyCompany, stensi, Kristof Coomans (SCK-CEN Belgian Nucleair Research
 * Centre), Devan Penner-Woelk, Pierre-Luc Paour, Martin Pool, Brant Messenger
 * (http://www.brantmessenger.com/), Kirk Strobeck, Saulo Vallory, Christoph,
 * Wagner B. Soares, Artur Tchernychev, Valentina De Rosa, Jason Wong
 * (http://carrot.org/), Daniel Esteban, strftime, Rick Waldron, Mick@el,
 * Bjorn Roesbeke (http://www.bjornroesbeke.be/), Bug?, Anton Ongson, Simon
 * Willison (http://simonwillison.net), Marco van Oort, Gabriel Paderni, Blues
 * (http://tech.bluesmoon.info/), Luke Godfrey, Tomasz Wesolowski, rezna, Eric
 * Nagel, Evertjan Garretsen, Pul, Bobby Drake, uestla, Alan C, Ulrich,
 * Zahlii, Yves Sucaet, sowberry, Norman "zEh" Fuchs, hitwork, johnrembo,
 * Brian Tafoya (http://www.premasolutions.com/), Nick Callen, Steven Levithan
 * (stevenlevithan.com), ejsanders, Scott Baker, Philippe Jausions
 * (http://pear.php.net/user/jausions), Aidan Lister
 * (http://aidanlister.com/), Rob, e-mike, HKM, ChaosNo1, metjay, strcasecmp,
 * strcmp, Taras Bogach, jpfle, Alexander Ermolaev
 * (http://snippets.dzone.com/user/AlexanderErmolaev), DxGx, kilops, Orlando,
 * dptr1988, Le Torbi, James (http://www.james-bell.co.uk/), Pedro Tainha
 * (http://www.pedrotainha.com), James, Philipp Lenssen, penutbutterjelly,
 * jakes, 3D-GRAF, Yannoo, gabriel paderni, baris ozdil, FGFEmperor, daniel
 * airton wermann (http://wermann.com.br), Atli Þór, Howard Yeend, Diogo
 * Resende, Allan Jensen (http://www.winternet.no), Benjamin Lupton,
 * Maximusya, davook, Greg Frazier, Tod Gentille, Manish, Matt Bradley, Cord,
 * fearphage (http://http/my.opera.com/fearphage/), Matteo, Victor, taith, Tim
 * de Koning, Alexander M Beedie, Ryan W Tenney (http://ryan.10e.us), Riddler
 * (http://www.frontierwebdev.com/), T.J. Leahy, Luis Salazar
 * (http://www.freaky-media.com/), Rafał Kukawski, Rival, Luke Smith
 * (http://lucassmith.name), Jamie Beck (http://www.terabit.ca/), Ben
 * (http://benblume.co.uk/), Russell Walker (http://www.nbill.co.uk/),
 * Garagoth, Le Torbi (http://www.letorbi.de/), Andrej Pavlovic, DtTvB
 * (http://dt.in.th/2008-09-16.string-length-in-bytes.html), Andreas, Chris
 * McMacken, Arnout Kazemier (http://www.3rd-Eden.com), Michael, setcookie,
 * Blues at http://hacks.bluesmoon.info/strftime/strftime.js, YUI Library:
 * http://developer.yahoo.com/yui/docs/YAHOO.util.DateLocale.html, Dino, rem,
 * incidence, Cagri Ekin, Amirouche, Amir Habibi
 * (http://www.residence-mixte.com/), Kheang Hok Chin
 * (http://www.distantia.ca/), Jay Klehr, booeyOH, Ben Bryan, William, Josep
 * Sanz (http://www.ws3.es/), meo, Greenseed, Leslie Hoare, mk.keck, Yen-Wei
 * Liu
 * 
 * Dual licensed under the MIT (MIT-LICENSE.txt)
 * and GPL (GPL-LICENSE.txt) licenses.
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sublicense, and/or sell copies of the Software, and to
 * permit persons to whom the Software is furnished to do so, subject to
 * the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL KEVIN VAN ZONNEVELD BE LIABLE FOR ANY CLAIM, DAMAGES
 * OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 */ 


// Compression: minified


(function(){if(typeof(this.PHP_JS)==="undefined"){var PHP_JS=function(cfgObj){if(!(this instanceof PHP_JS)){return new PHP_JS(cfgObj);}
this.window=cfgObj&&cfgObj.window?cfgObj.window:window;this.php_js={};this.php_js.ini={};if(cfgObj){for(var ini in cfgObj.ini){this.php_js.ini[ini]={};this.php_js.ini[ini].local_value=cfgObj.ini[ini];this.php_js.ini[ini].global_value=cfgObj.ini[ini];}}};}
var php_js_shared={};PHP_JS.prototype={constructor:PHP_JS,basename:function(path,suffix){var b=path.replace(/^.*[\/\\]/g,'');if(typeof(suffix)=='string'&&b.substr(b.length-suffix.length)==suffix){b=b.substr(0,b.length-suffix.length);}
return b;},dirname:function(path){return path.replace(/\\/g,'/').replace(/\/[^\/]*\/?$/,'');},explode:function(delimiter,string,limit){var emptyArray={0:''};if(arguments.length<2||typeof arguments[0]=='undefined'||typeof arguments[1]=='undefined'){return null;}
if(delimiter===''||delimiter===false||delimiter===null){return false;}
if(typeof delimiter=='function'||typeof delimiter=='object'||typeof string=='function'||typeof string=='object'){return emptyArray;}
if(delimiter===true){delimiter='1';}
if(!limit){return string.toString().split(delimiter.toString());}else{var splitted=string.toString().split(delimiter.toString());var partA=splitted.splice(0,limit-1);var partB=splitted.join(delimiter.toString());partA.push(partB);return partA;}},implode:function(glue,pieces){var i='',retVal='',tGlue='';if(arguments.length===1){pieces=glue;glue='';}
if(typeof(pieces)==='object'){if(pieces instanceof Array){return pieces.join(glue);}
else{for(i in pieces){retVal+=tGlue+pieces[i];tGlue=glue;}
return retVal;}}
else{return pieces;}},join:function(glue,pieces){return this.implode(glue,pieces);},nl2br:function(str,is_xhtml){var breakTag=(is_xhtml||typeof is_xhtml==='undefined')?'<br />':'<br>';return(str+'').replace(/([^>\r\n]?)(\r\n|\n\r|\r|\n)/g,'$1'+breakTag+'$2');},str_repeat:function(input,multiplier){return new Array(multiplier+1).join(input);},str_replace:function(search,replace,subject,count){var i=0,j=0,temp='',repl='',sl=0,fl=0,f=[].concat(search),r=[].concat(replace),s=subject,ra=r instanceof Array,sa=s instanceof Array;s=[].concat(s);if(count){this.window[count]=0;}
for(i=0,sl=s.length;i<sl;i++){if(s[i]===''){continue;}
for(j=0,fl=f.length;j<fl;j++){temp=s[i]+'';repl=ra?(r[j]!==undefined?r[j]:''):r[0];s[i]=(temp).split(f[j]).join(repl);if(count&&s[i]!==temp){this.window[count]+=(temp.length-s[i].length)/f[j].length;}}}
return sa?s:s[0];},strip_tags:function(input,allowed){allowed=(((allowed||"")+"").toLowerCase().match(/<[a-z][a-z0-9]*>/g)||[]).join('');var tags=/<\/?([a-z][a-z0-9]*)\b[^>]*>/gi,commentsAndPhpTags=/<!--[\s\S]*?-->|<\?(?:php)?[\s\S]*?\?>/gi;return input.replace(commentsAndPhpTags,'').replace(tags,function($0,$1){return allowed.indexOf('<'+$1.toLowerCase()+'>')>-1?$0:'';});},strlen:function(string){var str=string+'';var i=0,chr='',lgth=0;if(!this.php_js||!this.php_js.ini||!this.php_js.ini['unicode.semantics']||this.php_js.ini['unicode.semantics'].local_value.toLowerCase()!=='on'){return string.length;}
var getWholeChar=function(str,i){var code=str.charCodeAt(i);var next='',prev='';if(0xD800<=code&&code<=0xDBFF){if(str.length<=(i+1)){throw'High surrogate without following low surrogate';}
next=str.charCodeAt(i+1);if(0xDC00>next||next>0xDFFF){throw'High surrogate without following low surrogate';}
return str.charAt(i)+str.charAt(i+1);}else if(0xDC00<=code&&code<=0xDFFF){if(i===0){throw'Low surrogate without preceding high surrogate';}
prev=str.charCodeAt(i-1);if(0xD800>prev||prev>0xDBFF){throw'Low surrogate without preceding high surrogate';}
return false;}
return str.charAt(i);};for(i=0,lgth=0;i<str.length;i++){if((chr=getWholeChar(str,i))===false){continue;}
lgth++;}
return lgth;},strpos:function(haystack,needle,offset){var i=(haystack+'').indexOf(needle,(offset||0));return i===-1?false:i;}};this.PHP_JS=PHP_JS;}());